.PHONY: rebuild
rebuild: clean
	find . -mindepth 1 -type d \
	| while read d; do \
		if [ -f $$d/Makefile ]; then \
			echo "$$d"; \
			(cd $$d; check-included && make-makefile); \
		fi \
	done
	make
